/*
 * Particle System plug-in
 */

#ifndef PPPRTCLSWIN_H
#define PPPRTCLSWIN_H

#include <rwcore.h>
#include <rpworld.h>

#define COLSCALE (((RwReal)1))

extern RpAtomic * _rpParticleAddGeomData(RpAtomic * atomic,
                                         RwInt32 numParticles);
extern RwBool _rpParticlesSetupPipes(void);
extern RwBool _rpParticlesDestroyPipes(void);
extern RwBool _rpParticleExtendGeom(void);
extern RxNodeDefinition *RxNodeDefinitionGetPrtclSysInstanceCSL(void);
extern RxNodeDefinition *RxNodeDefinitionGetPrtclExpandCSL(void);
extern RxNodeDefinition *_rpGetNodeFountainParametricCSL(void);
extern RxPipeline * _rpParticleMaterialPipelineCreate(void);
extern RxPipeline * _rpParticleObjectPipelineCreate(void);

#endif /* PPPRTCLSWIN_H */

